<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddUserProfileFields extends Migration
{
    public function up()
    {
        $this->forge->addColumn('users', [
            'alamat_utama' => [
                'type' => 'TEXT',
                'null' => true,
            ],
            'nik' => [
                'type'       => 'VARCHAR',
                'constraint' => '20',
                'null' => true,
            ],
            'foto_profil' => [
                'type'       => 'VARCHAR',
                'constraint' => '255',
                'null' => true,
            ],
            'verification_status' => [
                'type'       => 'VARCHAR',
                'constraint' => '50',
                'default'    => 'UNVERIFIED',
                'null' => false,
            ],
            'qris_path' => [
                'type'       => 'VARCHAR',
                'constraint' => '255',
                'null' => true,
            ],
            'no_rekening' => [
                'type'       => 'VARCHAR',
                'constraint' => '100',
                'null' => true,
            ],
            'bank_name' => [
                'type'       => 'VARCHAR',
                'constraint' => '50',
                'null' => true,
            ],
        ]);
    }

    public function down()
    {
        $this->forge->dropColumn('users', 'alamat_utama');
        $this->forge->dropColumn('users', 'nik');
        $this->forge->dropColumn('users', 'foto_profil');
        $this->forge->dropColumn('users', 'verification_status');
        $this->forge->dropColumn('users', 'qris_path');
        $this->forge->dropColumn('users', 'no_rekening');
        $this->forge->dropColumn('users', 'bank_name');
    }
}
